中危 puppet puppet_enterprise 通过日志文件的信息暴露

CVE编号

CVE-2021-27019

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-08-31
漏洞描述
PuppetDB logging included potentially sensitive system information.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 puppet puppetdb * From
(including)
6.0.0
Up to
(excluding)
6.16.1
运行在以下环境
应用 puppet puppetdb * From
(including)
7.0.0
Up to
(excluding)
7.3.1
运行在以下环境
应用 puppet puppet_enterprise * Up to
(excluding)
2019.8.6
运行在以下环境
系统 debian_10 puppetdb * Up to
(including)
6.2.0-3
运行在以下环境
系统 debian_sid puppetdb * Up to
(including)
6.2.0-5
阿里云评分
6.2
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-532 通过日志文件的信息暴露
阿里云安全产品覆盖情况